/*
Program testowy transmisji szeregowej. Arduino czyta znak
z klawiatury PC i wyswietla na ekranie terminala ten znak
i jego kod ASCII, jesli wcisnieto cyfry 1-9, dioda LED
podlaczona do Pin13 zamiga taka ilosc razy.
*/

                      // deklaracje zmiennych
const int led13 = 13; // LED na płytce podlaczony do Pin13
                     
int inByte = 0;       // zmienna całkowita do odczytu znaku
char znak = ' ';      // zmienna tekstowa na odzytany znak
int iB = 0;           // zmienna na ilosc blyskow 


            // procedura setup'u, uruchamiana jednorazowo przy
            // starcie programu 
void setup() 
{                        
  Serial.begin(9600);     // inicjalizacja interfejsu RS 
  pinMode(led13, OUTPUT); // ustaw Pin13 jako wyjscie dla Led13                                         
} 

void loop()      // glowna petla programu
 {               // akcja w petli dopiero, gdy pojawi sie znak na RS
  
  while (Serial.available() > 0)
  {
    inByte = Serial.read(); 
    znak = inByte;
    
    Serial.print(znak);        //wyslij znak na RS bez zmiany wiersza
    Serial.print("   ASCII:"); //wyslij tekst "ASCII:" 
    Serial.println(inByte);    //wyslij kod ASCII w/w znaku
    
    if (inByte >= 49 && inByte <= 57) //jesli cyfra 1-9
    {
     iB = inByte - 48;          //oblicz ilosc blyskow
     Serial.print("LED, ilosc blyskow: "); //wyslij komunikat 
     Serial.println(iB);                   //o ilosci blyskow
     
     do                         //zamigaj w petli odpowiednia 
     {                          //ilosc razy
      digitalWrite(led13, HIGH);   
      delay(100);
      digitalWrite(led13, LOW);
      delay(400);
      iB--;
     } while (iB > 0); 
    }
  }
 }

